com.impinj.octane

## Enum AntennaEventType

- java.lang.Object
- - java.lang.Enum<AntennaEventType>
  - - com.impinj.octane.AntennaEventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AntennaEventType>

      public enum AntennaEventType
      extends java.lang.Enum<AntennaEventType>

  The reader uses an internal mechanism to detect whether antennas are connected or disconnected from each antenna port.
  See Also:
    `AntennaChangeListener.onAntennaChanged(com.impinj.octane.ImpinjReader, com.impinj.octane.AntennaEvent)`, `AntennaEvent.getState()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AntennaConnected` Indicates an antenna connected event.
    `AntennaDisconnected` Indicates an antenna disconnected event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static AntennaEventType` | `valueOf(int antennaEventTypeValue)`
    `static AntennaEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AntennaEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AntennaDisconnected

          public static final AntennaEventType AntennaDisconnected

      Indicates an antenna disconnected event.

    - #### AntennaConnected

          public static final AntennaEventType AntennaConnected

      Indicates an antenna connected event.

  - ### Method Detail

    - #### values

          public static AntennaEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AntennaEventType c : AntennaEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AntennaEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static AntennaEventType valueOf(int antennaEventTypeValue)

      Parameters:
        `antennaEventTypeValue` - the integer value of the antenna event
      Returns:
        the enumeration object for the antenna event

    - #### getValue

          public int getValue()

      Returns:
        the integer value associated with the antenna event type